@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --body-font: "Roboto", sans-serif;

  /* COLORS */
  --primary: #003476;
  --primary-active: #002c66;
  --secondary: #3da9ca;
  --secondary-light: #8bdaf2;
  --background: #f6f6fa;
  --text: #14151a;
  --text-inverted: #f0f8fc;
  --error: #b91e1e;
  --white: #ffffff;
  --light-blue: #eceef6;

  /* SPACINGS */
  --icon-size: 20px;
  --icon-size-sm: 17px;

  --icon-size-font: 2rem;
  --icon-size-sm-font: 1.7rem;

  --max-container-width: 1920px;
  --max-container-width-sm: 1440px;
  --sidebar-width: 250px;
  --header-height: 80px;
  --sidebar-horizontal-padding: 2rem;
  --sidebar-link-height: 40px;

  /* RADII */
  --radius-full: 999px;
  --radius-1: 12px;
}

/* BASICS */
h1,
h2,
h3,
h4,
h5,
p {
  margin: 0;
  padding: 0;
}

html {
  font-size: 62.5%;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

a,
a:hover,
a:visited,
a:active {
  text-decoration: none;
}

button:focus-visible,
a:focus-visible {
  outline: 2px solid var(--secondary);
  outline-offset: 2px;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  font-family: var(--body-font);
  color: var(--text-color);
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  scroll-behavior: smooth;
}

img {
  display: block;
  object-fit: cover;
}

button {
  background: none;
  color: inherit;
  border: none;
  padding: 0;
  font: inherit;
  cursor: pointer;
  outline: inherit;
}

input,
textarea {
  border: unset;
  outline: unset;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

li {
  margin: 0;
  padding: 0;
}

.page-wrapper {
  width: 100%;
  position: relative;
  min-height: 100vh;
}

.page-main {
  width: 100%;
  min-height: 100vh;
  padding-left: var(--sidebar-width);
  background-color: var(--background);
}

/* HEADER */
.main-header {
  width: 100%;
  background-color: var(--white);
  padding: 1.5rem 5rem;
  height: var(--header-height);
  display: flex;
  align-items: center;
}

.header-title {
  font-size: 3rem;
  font-weight: 700;
  letter-spacing: 0px;
  color: var(--text);
}

/* SIDEBAR */
.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  width: var(--sidebar-width);
  height: 100%;
  min-height: 100vh;
  background-color: var(--primary);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  z-index: 2000;
}

.sidebar-top {
  display: flex;
  flex-direction: column;
  gap: 25px;
  width: 100%;
}

.logo-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 80px;
}

.logo {
  width: 45px;
  height: 45px;
  flex-shrink: 0;
}

.links-list {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.sidebar-link,
.sidebar-button {
  height: var(--sidebar-link-height);
  display: flex;
  align-items: center;
  width: calc(100% - var(--sidebar-horizontal-padding));
  border-top-right-radius: var(--radius-1);
  border-bottom-right-radius: var(--radius-1);
  background-color: var(--primary);
  color: var(--text-inverted);
  margin-right: var(--sidebar-horizontal-padding);
  border-left: 5px solid transparent;
  transition:
    background-color 0.3s ease,
    border-color 0.3s ease,
    color 0.3s ease;
}

.sidebar-link.active {
  background-color: var(--primary-active);
  color: var(--secondary-light);
  border-color: var(--secondary-light);
}

.sidebar-link:hover,
.sidebar-button:hover {
  background-color: var(--primary-active);
  color: var(--secondary-light);
}

.sidebar-link-info,
.sidebar-button-info {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding-left: calc(var(--sidebar-horizontal-padding) - 5px);
}

.sidebar-accordion {
  height: var(--sidebar-link-height);
  display: flex;
  align-items: center;
  width: 100%;
  background-color: var(--primary);
  padding-right: var(--sidebar-horizontal-padding);
  color: var(--text-inverted);
  border-left: 5px solid transparent;
  cursor: pointer;
  transition:
    background-color 0.3s ease,
    border-color 0.3s ease,
    color 0.3s ease;
}

.sidebar-accordion a {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: var(--text-inverted);
  width: 100%;
}

.sidebar-accordion:hover {
  background-color: #022e68;
}

.sidebar-accordion-arrow {
  transition: transform 0.3s ease;
}

.sidebar-accordion.collapsed .sidebar-accordion-arrow {
  transform: rotate(180deg);
}

.sidebar-submenu {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  list-style: none;
}

.sidebar-link-icon i,
.sidebar-button-icon i,
.sidebar-accordion i {
  font-size: var(--icon-size-font);
  flex-shrink: 0;
}

.sidebar-link-text,
.sidebar-button-text,
.sidebar-accordion {
  font-size: 1.4rem;
  font-weight: 500;
  letter-spacing: 2%;
}

.sidebar-footer {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 3rem var(--sidebar-horizontal-padding) 3rem 0rem;
}

.sidebar-footer-inner {
  display: flex;
  flex-direction: column;
  gap: 25px;
  width: 100%;
}

.profile {
  display: flex;
  margin-left: var(--sidebar-horizontal-padding);
  padding: 2rem;
  border-radius: var(--radius-1);
  background-color: var(--primary-active);
}

.profile-info {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.profile-name-label {
  font-size: 1.4rem;
  font-weight: 500;
  color: var(--secondary-light);
}

.profile-name {
  font-size: 1.6rem;
  font-weight: 400;
  color: var(--text-inverted);
}

/* MAIN */
.main-content {
  width: 100%;
  height: 100%;
  min-height: calc(100vh - var(--header-height));
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  padding: 3rem 5rem;
}

/* FOOTER */
.main-footer {
  width: 100%;
}

.main-footer-links {
  width: 100%;
  max-width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
  flex-wrap: wrap;
}

.main-footer-links a img {
  max-width: 150px;
  min-width: 100px;
  height: auto;
}

/* TABLE */
main {
  width: 100%;
}

.table-wrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.table-tools {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* SEARCH INPUT */
.search-input-wrapper {
  width: 350px;
  border-radius: var(--radius-1);
  background-color: var(--white);
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 0.8rem 1.5rem;
  border: 1px solid var(--light-blue);
}

.search-input-wrapper:focus-within {
  border-color: var(--secondary);
}

.search-input-icon {
  font-size: var(--icon-size-sm-font);
  color: var(--primary);
  flex-shrink: 0;
}

.search-input {
  width: 100%;
  font-size: 1.4rem !important;
  color: var(--text) !important;
  font-family: var(--body-font) !important;
  font-weight: 400 !important;
  border: unset !important;
  background: var(--white) !important;
}

.search-input .dx-texteditor-input {
  padding: unset !important;
  min-height: unset !important;
  font-family: var(--body-font) !important;
  font-size: 1.4rem !important;
  color: var(--text) !important;
}

.search-input .dx-placeholder::before {
  color: var(--primary);
  font-size: 1.4rem;
  font-family: var(--body-font);
  opacity: 0.8;
  font-weight: 400;
  padding: unset !important;
  text-align: center;
}

.table-actions {
  display: flex;
  align-items: center;
  gap: 10px;
}

.table-tool {
  width: 37px;
  height: 37px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: var(--radius-1);
  background-color: var(--white);
  border: 1px solid var(--light-blue);
  transition: box-shadow 0.3s ease;
}

.table-tool:hover {
  box-shadow: var(--light-blue) 1px 2px 2.6px;
}
.table-tool-icon i {
  font-size: var(--icon-size-sm-font);
  color: var(--primary);
  flex-shrink: 0;
}

.primary-button {
  background-color: var(--secondary);
  display: flex;
  align-items: center;
  gap: 10px;
  max-height: 37px;
  padding: 1rem 2rem;
  border-radius: var(--radius-1);
  color: var(--white);
  transition:
    background-color 0.3s ease,
    box-shadow 0.3s ease;
}

.primary-button:hover {
  background-color: var(--secondary-light);
  box-shadow: var(--light-blue) 1px 2px 2.6px;
}

.primary-button-icon i {
  font-size: var(--icon-size-sm-font);
  flex-shrink: 0;
}

.primary-button-text {
  font-size: 1.4rem;
  font-weight: 600;
}

/* COLUMN WIDTHS */
.col-actions {
  width: 115px;
}
.col-title {
  width: 300px;
}
.col-code {
  width: 150px;
}
.col-sub {
  width: 130px;
}
.col-type {
  width: 220px;
}
.col-frequency {
  width: 150px;
}
.col-firstname {
  width: 180px;
}
.col-lastname {
  width: 200px;
}
.col-afm {
  width: 150px;
}
.col-amka {
  width: 160px;
}
.col-usertype {
  width: 180px;
}

/* CUSTOM GRID */
.custom-dx-grid .dx-datagrid {
  background-color: transparent;
  border: none !important;
}

.custom-dx-grid .dx-datagrid-borders .dx-datagrid-headers,
.custom-dx-grid .dx-datagrid-borders .dx-datagrid-rowsview,
.custom-dx-grid .dx-datagrid .dx-column-lines > td {
  border-top: none !important;
  border-left: none !important;
  border-right: none !important;
}

.custom-dx-grid .dx-datagrid-header-panel {
  border: unset !important;
}

.custom-dx-grid .dx-datagrid-headers {
  border-top-left-radius: var(--radius-1);
  border-top-right-radius: var(--radius-1);
}

.custom-dx-grid .dx-datagrid-headers::before {
  border: unset !important;
}

.custom-dx-grid .dx-datagrid-headers .dx-datagrid-table .dx-row > td {
  border-bottom: unset !important;
}

.custom-dx-grid .dx-datagrid-rowsview {
  border: unset !important;
  border-bottom-left-radius: var(--radius-1);
  border-bottom-right-radius: var(--radius-1);
}

.custom-dx-grid .dx-header-row td {
  background-color: var(--light-blue);
  color: var(--primary);
  font-size: 1.3rem;
  font-weight: 500;
  padding: 1rem !important;
  font-family: var(--body-font) !important;
}

.custom-dx-grid .dx-header-row td:first-child {
  border-top-left-radius: var(--radius-1);
}

.custom-dx-grid .dx-header-row td:last-child {
  border-top-right-radius: var(--radius-1);
}

.custom-dx-grid .dx-data-row td {
  background-color: var(--white);
  font-family: var(--body-font) !important;
  color: var(--text);
  font-size: 1.3rem;
  font-weight: 400;
  padding: 0rem 2rem;
  height: 65px;
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  vertical-align: middle;
  border-bottom: 1px solid var(--background) !important;
}

.custom-dx-grid .dx-datagrid-content .dx-datagrid-table .dx-row > td {
  vertical-align: middle !important;
}

.custom-dx-grid .dx-data-row:last-child td {
  border-bottom: 1px solid transparent;
}

.custom-dx-grid .dx-data-row:last-child td:first-child {
  border-bottom-left-radius: var(--radius-1);
}

.custom-dx-grid .dx-data-row:last-child td:last-child {
  border-bottom-right-radius: var(--radius-1);
}

.custom-dx-grid .dx-datagrid-nodata {
  font-family: var(--body-font);
  font-size: 1.6rem;
  font-weight: 400;
  color: var(--text);
}

.table-action-tab-button {
  width: 30px;
  height: 30px;
  min-width: 30px;
  min-height: 30px;
  flex-shrink: 0;
  display: inline-flex !important;
  align-items: center;
  justify-content: center;
  border-radius: var(--radius-full);
  background-color: var(--light-blue);
  color: var(--primary) !important;
  cursor: pointer;
  transition: color 0.3s ease;
}

.table-action-tab-button:hover {
  color: var(--secondary) !important;
}

/* CREATE */
.create-form {
  width: 100%;
  padding-bottom: 100px;
}

.create-form form,
.create-form {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.form-group {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.form-group-heading {
  font-size: 1.8rem;
  font-weight: 600;
  color: var(--text);
}

.form-box {
  width: 100%;
  background-color: var(--white);
  border-radius: var(--radius-1);
  padding: 2.5rem 5rem;
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.form-field {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.form-field-label {
  font-size: 1.3rem;
  font-weight: 500;
  color: var(--primary);
  text-transform: uppercase;
}

.form-field-extra {
  padding-left: 25px;
}

.form-field-extra .form-field-label,
.form-field-extra .form-field-hint {
  display: block;
  margin-bottom: 5px;
}

/* INPUTS */
.custom-input-text {
  width: 100%;
  border-radius: var(--radius-1) !important;
  border: 1px solid var(--light-blue) !important;
  background: var(--white) !important;
  outline: 1px solid transparent !important;
}

.custom-input-text:focus-within {
  outline-color: var(--secondary) !important;
}

.custom-input-text.dx-invalid.dx-texteditor {
  border: 1px dashed var(--error) !important;
}

.custom-input-text.dx-invalid.dx-texteditor:focus-within {
  outline-color: var(--error) !important;
}

.custom-input-text .dx-texteditor-input {
  width: 100%;
  padding: 1rem 1.5rem !important;
  font-size: 1.3rem !important;
  font-family: var(--body-font) !important;
  color: var(--text);
  cursor: text;
  background-color: transparent;
}

.custom-input-text .dx-placeholder::before {
  padding: 0rem 1.5rem !important;
}

.custom-input-text.dx-textarea .dx-placeholder::before {
  padding: 1rem 1.5rem !important;
}

.custom-input-text .dx-placeholder {
  font-size: 1.4rem;
  font-family: var(--body-font);
  color: var(--text);
  opacity: 0.6;
}

.custom-input-text .dx-dropdowneditor-icon {
  background: transparent !important;
}

.custom-input-text .dx-tag {
  align-self: center !important;
  font-family: var(--body-font);
  color: var(--text);
}

.custom-checkbox.dx-checkbox-checked .dx-checkbox-icon {
  color: var(--white) !important;
  background-color: var(--secondary) !important;
  border-color: var(--secondary) !important;
}

.form-input-text {
  width: 100%;
  border-radius: var(--radius-1);
  border: 1px solid var(--light-blue);
  background: var(--white);
  padding: 1rem 1.5rem;
  outline: 1px solid transparent;
}

.form-input-text.disabled {
  background-color: #f6f6fa;
}

.form-input-text input,
.form-input-text textarea {
  width: 100%;
  border-radius: var(--radius-1);
  font-size: 1.3rem;
  font-family: var(--body-font);
  color: var(--text);
  cursor: text;
  background-color: transparent;
}

.form-input-text.disabled input {
  opacity: 0.6;
  color: var(--text);
}

.form-input-text textarea {
  resize: none;
  width: 100%;
  height: 80px;
}

.form-select-input {
  background-color: var(--white);
  width: 100%;
  border-radius: var(--radius-1);
  border: 1px solid var(--light-blue);
  padding: 1rem 1.5rem;
  outline: 1px solid transparent;
  transition: outline-color 0.3s ease;
  cursor: pointer;
}

.form-input-text:focus-within,
.form-select-input:focus-within {
  outline-color: var(--secondary);
}

.form-input-submit {
  display: flex;
  gap: 10px;
}

.form-input-checks {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.checkbox-label {
  font-size: 1.3rem !important;
  font-weight: 400 !important;
  color: var(--text) !important;
  text-transform: unset !important;
}

.input-check {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 12px;
}

.form-input-checks input {
  width: 17px;
  height: 17px;
  border-color: var(--light-blue) !important;
}

.form-input-checks input:checked {
  accent-color: var(--secondary);
}

.form-date-duration {
  display: flex;
  gap: 20px;
}

.form-field-hint {
  font-size: 1.2rem;
  color: var(--text);
  margin-bottom: 4px;
  font-weight: medium;
  opacity: 0.8;
}

/* FOOTER */
.main-footer {
  padding: 0 1.5rem;
  margin-bottom: 4rem;
  margin-top: 4rem;
}

.main-footer ul {
  width: 100%;
  max-width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 4rem;
}

.main-footer ul a img {
  max-width: 150px;
  min-width: 100px;
  height: auto;
}

.file-upload-wrapper {
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
  background-color: var(--white);
  border-radius: var(--radius-1);
  padding: 2rem;
  width: 600px;
}

.custom-file-uploader {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-width: 400px;
  width: 100%;
  background-color: var(--white);
  border: 2px dashed var(--light-blue);
  border-radius: var(--radius-1);
  /* padding: 2rem; */
  gap: 1.2rem;
  transition:
    background-color 0.3s ease,
    opacity 0.3s ease;
}

.custom-file-uploader .dx-fileuploader-input-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.custom-file-uploader .dx-fileuploader-button {
  background-color: var(--secondary) !important;
  display: flex;
  align-items: center;
  gap: 10px;
  max-height: 37px;
  padding: 1rem 2rem;
  border-radius: var(--radius-1);
  color: var(--white);
  border: unset;
  cursor: pointer;
  transition:
    background-color 0.3s ease,
    box-shadow 0.3s ease;
}

.custom-file-uploader .dx-fileuploader-button:active {
  color: var(--white) !important;
}

.custom-file-uploader .dx-fileuploader-button:hover {
  background-color: var(--secondary-light) !important;
  box-shadow: var(--light-blue) 1px 2px 2.6px !important;
}

.custom-file-uploader .dx-fileuploader-button .dx-button-content {
  width: 100% !important;
  padding: unset !important;
}

.custom-file-uploader .dx-fileuploader-button .dx-button-text {
  font-size: 1.4rem !important;
  font-weight: 600 !important;
  font-family: var(--body-font);
}

.custom-file-uploader .dx-fileuploader-input-container {
  font-size: 1.3rem;
  font-weight: 400;
  color: var(--text);
  text-align: center;
}

.custom-file-uploader .dx-fileuploader-files-container {
  padding: unset !important;
}

.custom-file-uploader.dx-fileuploader-dragover {
  background-color: color-mix(in srgb, var(--primary) 10%, transparent);
}

.page-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 3.2rem;
}
